#include <iostream>
#include <vector>

const size_t SCREEN_WIDTH = 80;
const size_t MAX_ASTERISK = SCREEN_WIDTH - 3 - 1;

using namespace std;
struct Input {
    vector<double> numbers;
    size_t bin_count{};
};
Input
input_data() {
    size_t number_count;
    cin >> number_count;
    Input in;
    in.numbers.resize(number_count);
    for (size_t i = 0; i < number_count; i++) {
        cin >> in.numbers[i];
    }
    size_t bin_count;
    cin >> in.bin_count;
    return in;
}
void find_minmax(const vector<double>& numbers, double& Min, double& Max) {
    Min = numbers[0];
    Max = numbers[0];
    for(size_t x : numbers)
    {
        if(x < Min)
        {
            Min = x;
        }else
        {
            if(x > Max)
            {
                Max = x;
            }
        }
    }
}
vector<size_t>
make_histogram(vector<double> numbers, size_t bin_count)
{
    std::vector<size_t> bins(bin_count);
    double Min, Max;
    find_minmax(numbers, Min, Max);
    double bin_size = (Max - Min) / bin_count;
    for (double x : numbers)
        {
            bool found = false;
            for (size_t j = 0; (j < bin_count - 1) && !found; j++)
            {
                auto lo = Min + j * bin_size;
                auto hi = Min + (j + 1) * bin_size;
                if ((lo <= x) && (x < hi))
                {
                    bins[j]++;
                    found = true;
                }
            }
            if (!found)
            {
                bins[bin_count - 1]++;
            }
        }
        return bins;
}
void show_histogram_text(vector<size_t> bins, size_t bin_count)
{
    size_t max_count = bins[0];
    for(size_t x : bins)
    {
        if(x > max_count)
        {
            max_count = x;
        }
    }
    for(size_t i = 0;i<bin_count;i++){
    size_t height = bins[i];
    printf("%3d:", bins[i]);
    if(max_count > MAX_ASTERISK)
    height = MAX_ASTERISK * (static_cast<double>(bins[i]) / max_count);
    for(size_t j = 0;j<height;j++)
    {
        cout<<"*";
    }
    cout<<endl;
    }
}
int main()
{
    auto in = input_data();
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_text(bins,in.bin_count);
    return 0;
}
